[AJECT] NoticeWare IMAP Email Server 4.6.2 DoS vulnerability

2008-08-08T00:00:00
ID SECURITYVULNS:DOC:20321
Type securityvulns
Reporter Securityvulns
Modified 2008-08-08T00:00:00

Description


Synopsis

NoticeWare Email Server NG 4.6.2 is vulnerable to denial-of-service
(DoS) attacks. The IMAP server crashes after receiving several large LOGIN messages. Product: NoticeWare Email Server NG Version: 4.6.3 and probably the older versions Vendor: NoticeWare Corporation (www.noticeware.com) Type: Denial-of-service Risk: service disruption Remote: Yes Discovered by: João Antunes (AJECT -- Attack Injection Tool) on 04/Jun/ 2008 Exploit: Not Available Solution: Not Available Status: Developers were contacted and corrected the software in
version 5.1


Vulnerability Description

The vulnerability can be triggered by sending over 40 LOGIN messages
to the imap server: A001 LOGIN Ax5000 AAAAA

Depending on the number of repeated messages (probably related to the
server resources) this will crash the server. Successful exploitation
results in a remote denial of service.